library lakshmi_test_sdk;
import 'dart:js' as js;
import 'dart:io';
import 'dart:math';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}

class DeviceIDCheck{
  Future<String> getAndroidDeviceId() async {
    print("STARTED:!");
    if (Platform.isAndroid) {
      print("ANDROID:!");
      // Accessing Android-specific information
      // Note: This code won't work on iOS
      try {
        // Using reflection to access the Build class and retrieve device information
        if (Platform.isAndroid) {
          // Accessing Android-specific information
          var build = AndroidDeviceInfo();
          var id = build.androidId;
          return id!;
        }
      } catch (e) {
        print("Error getting Android device ID: $e");
        return "";
      }
    }else if(Platform.isIOS){

      print("IOS:!");
      String deviceId = 'FlutterApp_${Platform.operatingSystem}_${Platform.operatingSystemVersion}_${Random().nextInt(1000000)}';
      return deviceId;

    }else{

      print("WEB:!");
      try {
        String ipAddress = await js.context.callMethod('getIpAddress');
        return ipAddress;
      } catch (e) {
        print('Error getting IP address: $e');
        return 'Error getting IP address: $e';
      }
    }
    // else {
    //   print("This method only works on Android.");
    //   return "";
    // }

    return "This method only works on Android.";
  }



  getMain() async {
  String deviceId = await  getAndroidDeviceId();
  print('Device ID: $deviceId');
  print("END:!");
  }
}
class AndroidDeviceInfo {
  // Method to retrieve the Android device ID
  String? get androidId => Platform.environment['ANDROID_ID'];
}
